"use strict";
// LINQ to TypeScript
// Copyright (c) Alexandre Rogozine
// MIT License
// https://github.com/arogozine/LinqToTypeScript/blob/master/LICENSE
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAsyncEnumerable = exports.isParallelEnumerable = exports.isEnumerable = exports.ArrayEnumerable = void 0;
// API design adapted from,
// LINQ: .NET Language-Integrated Query
// API is part of .NET Core foundational libraries (CoreFX)
// MIT License
// https://github.com/dotnet/corefx/blob/master/LICENSE.TXT
// API Documentation adapted from,
// LINQ API Documentation
// Create Commons Attribution 4.0 International
// https://github.com/dotnet/docs/blob/master/LICENSE
// Shared Interfacess
__exportStar(require("./types"), exports);
// Types and Stuff
__exportStar(require("./shared"), exports);
var ArrayEnumerable_1 = require("./sync/ArrayEnumerable");
Object.defineProperty(exports, "ArrayEnumerable", { enumerable: true, get: function () { return ArrayEnumerable_1.ArrayEnumerable; } });
// Main Initializer
__exportStar(require("./initializer/initializer"), exports);
// Static Methods
__exportStar(require("./sync/static"), exports);
__exportStar(require("./async/static"), exports);
__exportStar(require("./parallel/static"), exports);
// Type Check
var isEnumerable_1 = require("./sync/isEnumerable");
Object.defineProperty(exports, "isEnumerable", { enumerable: true, get: function () { return isEnumerable_1.isEnumerable; } });
var isParallelEnumerable_1 = require("./parallel/isParallelEnumerable");
Object.defineProperty(exports, "isParallelEnumerable", { enumerable: true, get: function () { return isParallelEnumerable_1.isParallelEnumerable; } });
var isAsyncEnumerable_1 = require("./async/isAsyncEnumerable");
Object.defineProperty(exports, "isAsyncEnumerable", { enumerable: true, get: function () { return isAsyncEnumerable_1.isAsyncEnumerable; } });
