"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.average = void 0;
const shared_1 = require("../../shared");
const _nextIteration_1 = require("./_nextIteration");
const _typeDataToArray_1 = require("./_typeDataToArray");
const average = async (source, selector) => {
    let data;
    if (selector) {
        data = (0, _nextIteration_1.nextIteration)(source, selector);
    }
    else {
        data = source.dataFunc;
    }
    const values = await (0, _typeDataToArray_1.typeDataToArray)(data);
    if (values.length === 0) {
        throw new shared_1.InvalidOperationException(shared_1.ErrorString.NoElements);
    }
    let sum = 0;
    for (const item of values) {
        sum += item;
    }
    return sum / values.length;
};
exports.average = average;
