"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.max = void 0;
const shared_1 = require("../../shared");
const _nextIteration_1 = require("./_nextIteration");
const _typeDataToArray_1 = require("./_typeDataToArray");
const max = async (source, selector) => {
    let dataFunc;
    if (selector) {
        dataFunc = (0, _nextIteration_1.nextIteration)(source, selector);
    }
    else {
        dataFunc = source.dataFunc;
    }
    const data = await (0, _typeDataToArray_1.typeDataToArray)(dataFunc);
    if (data.length === 0) {
        throw new shared_1.InvalidOperationException(shared_1.ErrorString.NoElements);
    }
    return Math.max.apply(null, data);
};
exports.max = max;
