import { IParallelEnumerable } from "../../types";
/**
 * Converts an IParallelEnumerable<V> to a Map<K, V[]>.
 * @param source An IParallelEnumerable<V> to convert.
 * @param selector An async function to serve as a key selector.
 * @returns A promise for Map<K, V[]>
 */
export declare const toMapAsync: <TKey, TSource>(source: IParallelEnumerable<TSource>, selector: (x: TSource) => Promise<TKey>) => Promise<Map<TKey, TSource[]>>;
