"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toObject = void 0;
const _typeDataToArray_1 = require("./_typeDataToArray");
/**
 * Converts an Async Iterable to a key value pair object
 * @param source IParallelEnumerable to Convert to an Object
 * @param selector Key Selector
 * @returns KVP Object
 */
const toObject = async (source, selector) => {
    const dataFunc = source.dataFunc;
    const values = await (0, _typeDataToArray_1.typeDataToArray)(dataFunc);
    const map = {};
    for (const value of values) {
        map[selector(value)] = value;
    }
    return map;
};
exports.toObject = toObject;
