"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toObjectAsync = void 0;
const _nextIterationAsync_1 = require("./_nextIterationAsync");
const _typeDataToArray_1 = require("./_typeDataToArray");
/**
 * Converts an Async Iterable to a key value pair object
 * @param source IParallelEnumerable to Convert to an Object
 * @param selector Async Key Selector
 * @returns KVP Object
 */
const toObjectAsync = async (source, selector) => {
    const dataFunc = (0, _nextIterationAsync_1.nextIterationAsync)(source, async (value) => {
        const key = await selector(value);
        return [key, value];
    });
    const keyValues = await (0, _typeDataToArray_1.typeDataToArray)(dataFunc);
    const map = {};
    for (const [key, value] of keyValues) {
        map[key] = value;
    }
    return map;
};
exports.toObjectAsync = toObjectAsync;
