"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toSet = void 0;
const _typeDataToArray_1 = require("./_typeDataToArray");
/**
 * Converts the Async Itertion to a Set
 * @param source IParallelEnumerable
 * @returns Set containing the iteration values
 */
const toSet = async (source) => {
    const dataFunc = source.dataFunc;
    const values = await (0, _typeDataToArray_1.typeDataToArray)(dataFunc);
    return new Set(values);
};
exports.toSet = toSet;
